body{
  font-family:  Inter,apple-system,BlinkMacSystemFont,"Helvetica Neue","Segoe UI","Fira Sans",Roboto,Oxygen,Ubuntu,"Droid Sans",Arial,sans-serif;
	font-size: 13px;
  color: #5e5f63;
}

.font-10{ font-size: 10px; }
.font-12{ font-size: 12px; }
.font-14{ font-size: 14px; }
.font-16{ font-size: 16px; }
.font-18{ font-size: 18px; }
.font-20{ font-size: 20px; }
.font-22{ font-size: 22px; }
.font-24{ font-size: 24px; }
.font-26{ font-size: 26px; }
.font-28{ font-size: 28px; }

.multitab{
  user-select: none;
  cursor: pointer;
}

.multitab.none{
  user-select: none;
  cursor: default;
}

.multitab .text{
  padding: 3px 14px;
  color: #a5a5a5;
  font-weight: bold;
}

.multitab .bar{
  background: #d8d8d8;
  height:2px;
}

.multitab.active .bar{
  background: #fd8e19;
}

.multitab.active .text{
  font-weight: bold;
  color: #6c6c6c;
}

.cursor-pointer{
	cursor: pointer;
}

.shadow {
  box-shadow: 2px 4px 10px rgba(88,88,88,0.5);
}

.greyscale{
  filter: grayscale(100%);
}

.tableheader{
	background: #727272;
  color: #ffffff;
}

.text-darkgrey
{
	color: #646464;
}

.form-control,.btn{
	font-size: 13px;
	padding: 5px 20px;
}

.hoverselect:hover{
	background: #efefef;
	cursor: pointer;
}

.dot.active{
	 font-size: 8px;
	 color: #32ff0a;
}

.dot.inactive{
	 font-size: 8px;
	 color: #ff0707;
}

.display tbody tr{
	cursor: pointer;
}

.dataTables_wrapper .dataTables_filter input {
	border-radius: 25px;
	padding: 5px 12px;
	margin-left: 10px;
}

.dataTables_wrapper .dataTables_length select {
	border-radius: 25px;
	padding: 5px 12px;
	margin-left: 5px;
	margin-right: 5px;
}

.dataTables_wrapper .dataTables_paginate .paginate_button.current{
	border-radius: 25px;
	padding: 5px 12px;
	min-width: 50px;
}

.dataTables_wrapper .dataTables_filter input:focus-visible{
	outline: none !important;
}

.dataTables_wrapper .dataTables_length select :focus-visible{
	outline: none !important;
}

.dataTables_wrapper .dataTables_paginate .paginate_button:hover {
	border: 1px solid #fd8e19;
  background-color: #fd8e19;
  background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #fd8e19), color-stop(100%, #fd8e19));
  background: -webkit-linear-gradient(top, #fd8e19 0%, #fd8e19 100%);
  background: -moz-linear-gradient(top, #fd8e19 0%, #fd8e19 100%);
  background: -ms-linear-gradient(top, #fd8e19 0%, #fd8e19 100%);
  background: -o-linear-gradient(top, #fd8e19 0%, #fd8e19 100%);
  background: linear-gradient(to bottom, #fd8e19 0%, #fd8e19 100%);

}


.btn-primary{
	background-color: #fd8e19;
  border-color: #fd8e19;
}

.btn-primary:hover {
    background-color: #e47c0e;
    border-color: #e47c0e;
}

.pagetitle{
  font-weight: bold;
  font-size: 20px;
  line-height: 30px;
}

.headerBg{
	/*background-image: linear-gradient(to right top, #fc9c1a, #f0841a, #e36c1b, #d4551d, #c33d1e);*/
	background: #fdb964;
	box-shadow: 1px 0px 10px #909090;
}

.headerMenu{
	height: 55px;
}

.headerMenu .title{
	color: #f27439;
	font-weight: bold;
	font-size: 1em;
}

.mainContainer{
	height:calc(100vh - 55px);
}

.mainLogo{
	height:35px;
}

.loginBg{
	background: #fbd4ab;
}

.loginPanel{
	width:400px;
	border-radius: 25px;
	padding: 40px 30px;
	background: rgb(255 255 255 / 50%);
	z-index: 1;
}

.btn.roundedItem{
	min-width: 130px;
}

.roundedItem{
	border-radius: 25px;
}

.loginbtn{
	min-width: 60%;
}

.loginContainer{
	width: 100vh;
  height: 100vh;
}

.portalName{
  border-radius: 30px;
  font-size: 13px;
  padding: 4px 15px;
  font-weight: bold;
  background: #d94f1b;
  color: #ffffff;
  box-shadow: 2px 1px 8px rgba(88,88,88,0.5);
  /*background-image: linear-gradient(to left top, #f57d47, #e16c38, #ce5b29, #ba4a19, #a73908);*/
}

.contentArea{
	padding-left: 60px;
	height: calc(100vh - 55px);
	overflow-y: scroll;
}

.menuIcon{
	height:30px;
	width: 30px;
	border-radius: 25px;
	background: #efefef;
	color: #292929;
	border: 1px solid #d2d2d2;
}

.userIcon{
	height:30px;
	border-radius: 25px;
	background: #efefef;
	color: #292929;
	border: 1px solid #d2d2d2;
	padding: 0px 15px;
	font-weight: bold;
	cursor: pointer;
}

.userIcon span{
	font-size: 12px;
	margin-left: 5px;
}


@import url(//netdna.bootstrapcdn.com/font-awesome/4.0.3/css/font-awesome.css);
}
@import url(https://fonts.googleapis.com/css?family=Titillium+Web:300);
.fa-2x {
font-size: 2em;
}



.limenu:hover .sub_ul{
    display: block;
    position: absolute;
    right: -249px;
    top: 0px;
    background: #343434;
}

.sub_ul{
   display: none;
}


.main-menu .fas {
position: relative;
display: table-cell;
width: 60px;
height: 36px;
text-align: center;
vertical-align: middle;
font-size:20px;
}

.main-menu img {
  position: relative;
  display: table-cell;
  height: 30px;
  text-align: center;
  vertical-align: middle;
  margin: 5px 14px;
}

.main-menu li{
	border-left: 3px solid rgba(0,0,0,0);
}

.main-menu li.current{
	border-left: 3px solid #fd9d18;
}



.main-menu:hover,nav.main-menu.expanded {
  width:250px;
  overflow:visible;
}

.main-menu {
  background:rgba(41,41,41,0.95);
  border-right:1px solid #e5e5e5;
  position:absolute;
  top:0;
  bottom:0;
  height:100%;
  left:0;
  width:60px;
  overflow:hidden;
  -webkit-transition:width .05s linear;
  transition:width .05s linear;
  -webkit-transform:translateZ(0) scale(1,1);
  z-index:99;
}

.main-menu>ul {
margin:7px 0;
}

.main-menu li {
position:relative;
display:block;
width:250px;
}

.main-menu .limenu>.lidetail {
position:relative;
display:table;
border-collapse:collapse;
border-spacing:0;
color:#ffffff;
 font-family: arial;
font-size: 14px;
text-decoration:none;
-webkit-transform:translateZ(0) scale(1,1);
-webkit-transition:all .1s linear;
transition:all .1s linear;
filter: grayscale(1);
}

.main-menu .sub_li>.sublidetail {
position:relative;
display:table;
border-collapse:collapse;
border-spacing:0;
color:#ffffff;
 font-family: arial;
font-size: 14px;
text-decoration:none;
-webkit-transform:translateZ(0) scale(1,1);
-webkit-transition:all .1s linear;
transition:all .1s linear;
filter: grayscale(1);
}

.main-menu .limenu .lidetail{
  filter: grayscale(1);
}

.main-menu .sub_li .sublidetail{
  filter: grayscale(1);
}

.main-menu .limenu .lidetail:hover{
  filter: grayscale(0);
}

.main-menu .sub_li .sublidetail:hover{
  filter: grayscale(0);
}

.main-menu .limenu.current .lidetail{
  filter: grayscale(0);
}

.main-menu .sub_li.current .sublidetail{
  filter: grayscale(0);
}

.main-menu .nav-icon {
position:relative;
display:table-cell;
width:60px;
height:36px;
text-align:center;
vertical-align:middle;
font-size:18px;
}

.main-menu .nav-text {
position:relative;
display:table-cell;
vertical-align:middle;
width:190px;
}

.main-menu>ul.logout {
position:absolute;
left:0;
bottom:0;
}

.no-touch .scrollable.hover {
overflow-y:hidden;
}

.no-touch .scrollable.hover:hover {
overflow-y:auto;
overflow:visible;
}

a:hover,a:focus {
text-decoration:none;
}

nav {
-webkit-user-select:none;
-moz-user-select:none;
-ms-user-select:none;
-o-user-select:none;
user-select:none;
}

nav ul,nav li {
outline:0;
margin:0;
padding:0;
cursor: pointer;
}

.main-menu li:hover>a,nav.main-menu li.active>a,.dropdown-menu>li>a:hover,.dropdown-menu>li>a:focus,.dropdown-menu>.active>a,.dropdown-menu>.active>a:hover,.dropdown-menu>.active>a:focus,.no-touch .dashboard-page nav.dashboard-menu ul li:hover a,.dashboard-page nav.dashboard-menu ul li.active a {
color:#fff;
background-color:#fd8e19;
filter: opacity(1);
}
.area {
float: left;
background: #e2e2e2;
width: 100%;
height: 100%;
}
@font-face {
  font-family: 'Titillium Web';
  font-style: normal;
  font-weight: 300;
  src: local('Titillium WebLight'), local('TitilliumWeb-Light'), url(http://themes.googleusercontent.com/static/fonts/titilliumweb/v2/anMUvcNT0H1YN4FII8wpr24bNCNEoFTpS2BTjF6FB5E.woff) format('woff');
}













.loadingpanel{
	z-index: 99999;
	position:fixed;
	width: 100vw;
	height:100vh;
	left: 0;
	top: 0;
	background: rgba(0,0,0,0.5);
}


.loader {
  width: 48px;
  height: 48px;
  border-radius: 50%;
  display: inline-block;
  position: relative;
  border: 3px solid;
  border-color: #FFF #FFF transparent transparent;
  box-sizing: border-box;
  animation: rotation 1s linear infinite;
}
.loader::after,
.loader::before {
  content: '';  
  box-sizing: border-box;
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  margin: auto;
  border: 3px solid;
  border-color: transparent transparent #FF3D00 #FF3D00;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  box-sizing: border-box;
  animation: rotationBack 0.5s linear infinite;
  transform-origin: center center;
}
.loader::before {
  width: 32px;
  height: 32px;
  border-color: #FFF #FFF transparent transparent;
  animation: rotation 1.5s linear infinite;
}
    
@keyframes rotation {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
} 
@keyframes rotationBack {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(-360deg);
  }
}


.loader2 {
  width: 48px;
  height: 48px;
  border-radius: 50%;
  display: inline-block;
  position: relative;
  border: 3px solid;
  border-color: #afafaf #afafaf transparent transparent;
  box-sizing: border-box;
  animation: rotation 1s linear infinite;
}
.loader2::after,
.loader2::before {
  content: '';  
  box-sizing: border-box;
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  margin: auto;
  border: 3px solid;
  border-color: transparent transparent #FF3D00 #FF3D00;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  box-sizing: border-box;
  animation: rotationBack 0.5s linear infinite;
  transform-origin: center center;
}
.loader2::before {
  width: 32px;
  height: 32px;
  border-color: #afafaf #afafaf transparent transparent;
  animation: rotation 1.5s linear infinite;
}

.viewpanelbg{
	background: rgba(0,0,0,0.5);
	position: fixed;
	width: 100vw;
	height:100vh;
	left: ;:0;
	top: 0;
	z-index: 100;
}

.viewpanel1{
	background: #ffffff;
	position: fixed;
	width: 450px;
	height:100vh;
	right:0;
	top: 0;
	z-index: 101;
}

.panelShow{
	right:0px;
}

.panelHide{
	right:-500px;
}

.bootstrap-select .dropdown-toggle{
	background: #ffffff;
  border: 1px solid #ced4da;
  border-radius: 25px;
}

.bootstrap-select .dropdown-toggle:focus-visible,.bootstrap-select .dropdown-toggle:focus {
	outline: none !important;
}

.bootstrap-select .dropdown-toggle:active,.btn-light:not(:disabled):not(.disabled).active, .btn-light:not(:disabled):not(.disabled):active, .show>.btn-light.dropdown-toggle {
	background-color: #ffffff !important;
	border-color: 1px solid #ced4da !important;
}

.bootstrap-select .dropdown-menu {
  border-radius: 15px;
}

.bs-searchbox input{
	border-radius: 25px;
}

.form-switch {
  display: inline-block;
  cursor: pointer;
  -webkit-tap-highlight-color: transparent;
  margin-bottom: 0px;
}
.form-switch i {
  position: relative;
  display: inline-block;
  margin-right: .5rem;
  width: 46px;
  height: 26px;
  background-color: #e6e6e6;
  border-radius: 23px;
  vertical-align: text-bottom;
  transition: all 0.3s linear;
}
.form-switch i::before {
  content: "";
  position: absolute;
  left: 0;
  width: 42px;
  height: 22px;
  background-color: #c3c3c3;
  border-radius: 11px;
  transform: translate3d(2px, 2px, 0) scale3d(1, 1, 1);
  transition: all 0.25s linear;
}
.form-switch i::after {
  content: "";
  position: absolute;
  left: 0;
  width: 22px;
  height: 22px;
  background-color: #fff;
  border-radius: 11px;
  box-shadow: 0 2px 2px rgba(0, 0, 0, 0.24);
  transform: translate3d(2px, 2px, 0);
  transition: all 0.2s ease-in-out;
}
.form-switch:active i::after {
  width: 28px;
  transform: translate3d(2px, 2px, 0);
}
.form-switch:active input:checked + i::after { transform: translate3d(16px, 2px, 0); }
.form-switch input { display: none; }
.form-switch input:checked + i { background-color: #4BD763; }
.form-switch input:checked + i::before { transform: translate3d(18px, 2px, 0) scale3d(0, 0, 0); }
.form-switch input:checked + i::after { transform: translate3d(22px, 2px, 0); }
.form-switch span{ align-self: center!important; }

.fitselect.bootstrap-select .dropdown-menu {
    max-width: -webkit-fill-available;
    /* position: fixed!important; */
}


.viewFullpanel{
	background: #ffffff;
	position: fixed;
	width: calc(100vw - 60px);
	height:calc(100vh - 55px);
	right:0;
	top: 55px;
	z-index: 2;
}

.fullPanelShow{
	right:0px;
}

.fullPanelHide{
	right: calc(-100vw - 60vw);
}

.fullclosebtn{
	position: absolute;
	top: 15px;
	right:20px;
	cursor: pointer;
	z-index: 1;
}

.stepper-wrapper {
  margin-top: auto;
  display: flex;
  justify-content: space-between;
}
.stepper-item {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  flex: 1;

  @media (max-width: 768px) {
    font-size: 12px;
  }
}

.stepper-item::before {
  position: absolute;
  content: "";
  border-bottom: 2px solid #ccc;
  width: 100%;
  top: 13px;
  left: -50%;
  z-index: 2;
}

.stepper-item::after {
  position: absolute;
  content: "";
  border-bottom: 2px solid #ccc;
  width: 100%;
  top: 13px;
  left: 50%;
  z-index: 2;
}

.stepper-item .step-counter {
  position: relative;
  z-index: 5;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 25px;
  height: 25px;
  border-radius: 50%;
  background: #ccc;
  margin-bottom: 2px;
}

.stepper-item.active {
  font-weight: bold;
}

.stepper-item.completed .step-counter {
  background-color: #fd8e19;
  color: #ffffff;
}

.stepper-item.completed::after {
  position: absolute;
  content: "";
  border-bottom: 2px solid #fd8e19;
  width: 100%;
  top: 13px;
  left: 50%;
  z-index: 3;
}

.stepper-item:first-child::before {
  content: none;
}
.stepper-item:last-child::after {
  content: none;
}


.stepper-item.active .step-counter {
	background: #fd8e19;
	color: #ffffff;
}

.compulsary{
	color: #ff0707;
	margin-left: 3px;
}

.tabbar{
	width: 100%;
	height:3px;
	background: #efefef;
}

.colortab{
	font-weight: bold;
	cursor: pointer;
	user-select: none;
}

.colortab .tabbar{
	width: 100%;
	height:3px;
	background: #efefef;
	margin-top: 3px;
	position: relative;
}
.user-select{
  user-select: none;
}

.fill {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 0;
    background: #fd8e19;
   
}

.colortab .tabbar.active .fill{
	width: 100%;
	 transition: width 0.8s; /* Transition for width change */
}

.form-check-input {
    margin-top: 0.2rem;
}

.textbox-container {
  position: relative;
}

.textbox-container input[type="text"]{
	width: 100%;
  padding: 10px;
  border: none;
}

.textbox-container input[type="text"]:focus-visible{
	outline: none !important;
}

.clear-icon {
  position: absolute;
  top: 50%;
  right: 10px;
  transform: translateY(-50%);
  color: #858585;
  cursor: pointer;
}

.hovertablecolumn{
  cursor: pointer;
}

.hovertablecolumn:hover{
  background: #fd8e19!important;
  cursor: pointer;
  color: #ffffff!important;
}

/*.timetable .weekend{
  background: #fdb964;
}

.hovertablecolumn.weekend{
  background: #fdb964;
  cursor: pointer;
}

.hovertablecolumn.weekend:hover{
  background: #fd8e19;
  cursor: pointer;
  color: #ffffff;
}*/

.timetable th.weekend{
  color: #fd8e19;
}

.timetable th.holiday{
  color: #00a14d;
}

.timetable td.weekend{
  background: #fdeed6;
}

.timetable td.holiday{
  background: #ecffe6;
}



.timetable.table-bordered td, .timetable.table-bordered th {
  padding: 0.3rem 0.25rem;
}

select.form-control:not([size]):not([multiple]) {
    height: calc(2rem - 0.5px) !important;
}

.timetable .titletype{
  background: #cdcdcd;
  padding: 1px 1px!important;
  text-align: center;
  font-weight: bold;
  font-size: 11px;
  font-style: italic;
}

.timetable .datecol{
  width: 45px;
  text-align: center;
}

.timetable .totalcol{
  width: 50px;
  text-align: center;
}

.timetable .codecol{
  width: 120px;
  text-align: center;
}

.timetable .totalrow{
  font-weight: bold;
  color: #004cc1;
  border-top: 4px solid #cdcdcd !important;
  background: #f3f3f3;
}

.timetable .OTrow{
  font-weight: bold;
  color: #dc3545;
  background: #f3f3f3;
}

#periodResultTable td.draft{
  font-weight: bold;
  color:#898989;
}

#periodResultTable td.submitted{
  font-weight: bold;
  color:#4BD763;
}

.multioption {
    background: #ececec;
    border-radius: 35px;
    padding: 4px 4px;
}

.multioption .opt{
    padding: 5px 10px;
    cursor: pointer;
}

.multioption .opt.active{
    padding: 5px 10px;
    background: #fd8e19;
    font-weight: bold;
    color: #ffffff;
    border-radius: 35px;
}

.multioption .opt:hover{
    padding: 5px 10px;
    background: #fbece6;
    border-radius: 35px;
}

.multioption .opt.active:hover{
    padding: 5px 10px;
    background: #fbece6;
    color: #ffffff;
    border-radius: 35px;
}



/* The container <div> - needed to position the dropdown content */
.dropdown {
  position: relative;
  display: inline-block;
}

/* Dropdown Content (Hidden by Default) */
.dropdown-content {
  display: none;
  position: absolute;
  background-color: #ffffff;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index: 99;
}

/* Links inside the dropdown */
.dropdown-content a {
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
}

/* Change color of dropdown links on hover */
.dropdown-content a:hover {background-color: #fd8e19;color: #ffffff;}

/* Show the dropdown menu on hover */
.dropdown:hover .dropdown-content {
  display: block;
  border-radius: 10px;
  overflow: hidden;
}

/* Change the background color of the dropdown button when the dropdown content is shown */
.dropdown:hover .dropbtn {background-color: #f8f8f8;}